cURL
curl --request PATCH \ --url https://us.infisical.com/api/v1/auth/token-auth/tokens/{tokenId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>" } '
{ "token": { "id": "<string>", "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "authMethod": "<string>", "accessTokenTTL": 2592000, "accessTokenMaxTTL": 2592000, "accessTokenNumUses": 0, "accessTokenNumUsesLimit": 0, "accessTokenLastUsedAt": "2023-11-07T05:31:56Z", "accessTokenLastRenewedAt": "2023-11-07T05:31:56Z", "isAccessTokenRevoked": false, "identityUAClientSecretId": "<string>", "name": "<string>", "accessTokenPeriod": 0, "subOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }
Update token for machine identity with Token Auth
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
An access token in Infisical
The ID of the token to update metadata for.
The name of the token to update to.
Default Response
Show child attributes
Was this page helpful?